# $Revision: 1.15 $, $Date: 2004/12/19 11:50:12 $
Summary:	SETI@Home monitor plugin for gkrellm
Summary(pl):	Plugin gkrellm z monitorem SETI@Home
Name:		gkrellm-seti
Version:	0.7.0b
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://xavier.serpaggi.free.fr/seti/seti-%{version}.tar.bz2
# Source0-md5:	bea7ca090a486560207544c1f665a2c1
Patch0:		http://xavier.serpaggi.free.fr/seti/seti-0.7.0b-gkrellm2.diff
URL:		http://xavier.serpaggi.free.fr/seti/
BuildRequires:	gkrellm-devel >= 2.0
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	pkgconfig
Requires:	gkrellm >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GKrellM plugin which lets you monitor your SETI@Home progress.

%description -l pl
Plugin GKrellM pozwalajcy monitorowa swoje postpy w SETI@Home.

%prep
%setup -q -n seti-%{version}
%patch0 -p1

%build
# typo - two different variables for optflags
%{__make} \
	CC="%{__cc}" \
	DBGFLAGS="%{rpmcflags}" \
	DGBFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -D seti.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins/seti.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%attr(755,root,root) %{_libdir}/gkrellm2/plugins/seti.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gkrellm-seti.spec,v $
Revision 1.15  2004/12/19 11:50:12  adamg
- put plugin file into proper place (pointed out by Pawel Zaskorski
  <p.zaskorski (at) wp.pl> and Piotr Wawrzyniak <wopozka (at) gazeta.pl>)
- release 3

Revision 1.14  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.13  2004/03/29 19:40:45  qboosh
- uh, R: gkrellm >= 2.0, release 2 for Ac

Revision 1.12  2004/03/29 19:39:00  qboosh
- added patch for gkrellm 2.x (from homepage)
- use optflags, install manually (wrong dirs in Makefile)

Revision 1.11  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:47:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.8  2002/11/27 20:15:38  juandon
- new %%doc

Revision 1.7  2002/05/12 06:57:21  blues
- 0.7.0b - works with current gkrellm
- removed outdated patch - included
STBR

Revision 1.6  2002/04/25 16:24:04  arturs
fixed a small typo

Revision 1.5  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/03 20:46:42  ankry
- adding es/pt/pt_BR Group translations

Revision 1.2  2002/01/18 02:13:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/11/01 14:06:45  blues
- initial
A GKrellM plugin which lets you monitor your SETI@Home progress.
